# $Revision: 1.19 $, $Date: 2010/08/21 19:09:12 $
%include	/usr/lib/rpm/macros.php
%define		_class		SOAP
%define		_subclass	Interop
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - SOAP Interop test application
Summary(pl.UTF-8):	%{_pearname} - testowa aplikacja SOAP Interop
Name:		php-pear-%{_pearname}
Version:	0.8.2
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	7a54de48942d6a289b95ae5084aa8cff
Patch0:		%{name}-path_fix.patch
URL:		http://pear.php.net/package/SOAP_Interop/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-SOAP
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# unavailable
%define		_noautoreq 'pear(SOAP/Interop/interop_Round3GroupD.php)'

%description
Test harness for SOAP Builders tests. Supports Round 2 and Round 3
tests.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Środowisko testowe do testów SOAP Builders. Obsługuje testy rundy 2 i
3.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# extract config.php.orig from tarball that setup cleaned. TODO. include as Source1.
tar zxf %{SOURCE0} %{_pearname}-%{version}/config.php.dist

install -d docs/%{_pearname}
mv ./%{php_pear_dir}/%{_class}/%{_subclass}/readme.txt docs/%{_pearname}

cd ./%{php_pear_dir}/%{_class}/%{_subclass}
%patch0 -p2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install
install %{_pearname}-%{version}/config.php.dist $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}/%{_subclass}/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-SOAP_Interop.spec,v $
Revision 1.19  2010/08/21 19:09:12  glen
- updated deps with pearize.sh
- release 4

Revision 1.18  2008/01/31 12:16:50  glen
- rel 3

Revision 1.17  2007-09-06 23:10:43  adamg
- path_fix.patch updated; release 2

Revision 1.16  2007/09/01 20:34:42  adamg
- updated to 0.8.2

Revision 1.15  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.13  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.12  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.11  2005/11/03 20:57:27  glen
- pearize

Revision 1.10  2005/10/03 13:46:19  glen
- new pear packaging

Revision 1.9  2004/12/05 12:55:13  adamg
- added path_fix (fixes most of paths in include/require calls)
- rename config.php.orig to config.php
- release 2.1

Revision 1.8  2004/12/04 14:21:00  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.6  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.5  2003/10/07 20:56:16  adamg
- do not use macros in URL

Revision 1.4  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.3  2003/08/31 10:40:08  adamg
- updated to 0.8

Revision 1.2  2003/06/08 16:26:12  qboosh
- pl description, cleanups

Revision 1.1  2003/06/03 21:21:23  adamg
- initial import
